## export_osmond

Type: netlist.

### netlist export

Exports in Osmond's netlist format with the following characteristics:

- missing footprint generates an error message and a broken output (tip: use omit to remove components that are not to be exported)
- illegal characters in component names and pin numbers (resulting broken output): space, ", {, } and -
- illegal character in net name (resulting broken output): "

#### Attribute usage

For components the following attributes are used to construct file-format specified fields:

- component's display/footprint (fallback: footprint attribute)
- ports's display/pinname (fallback: port's name)

No other/custom attributes exported.

#### Omit and DNP

The plugin will not export components and networks that have the display/omit attribute set.

The plugin will export objects that have the display/dnp attribute set. To get the DNP information passed on, use the export naming mechanism of a target plugin in the view.